﻿// Copyright (c) 2008 MySQL AB, 2008-2009 Sun Microsystems, Inc.
//
// This file is part of MySQL Tools for Visual Studio.
// MySQL Tools for Visual Studio is free software; you can redistribute it 
// and/or modify it under the terms of the GNU Lesser General Public 
// License version 2.1 as published by the Free Software Foundation
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace MySql.Data.VisualStudio.Editors
{
    public class MySplitter : Splitter
    {

        public MySplitter()
        {
        }

        protected override void OnPaint(PaintEventArgs e)
        {
            Rectangle r = ClientRectangle;

            SolidBrush brush = new SolidBrush(SystemColors.Control);
            Pen light = new Pen(SystemColors.ControlLightLight);
            Pen dark = new Pen(SystemColors.ControlDarkDark);

            e.Graphics.FillRectangle(brush, r);

            e.Graphics.DrawLine(light, r.Left + 1, r.Top + 1, r.Left + 1, r.Bottom - 2);
            e.Graphics.DrawLine(light, r.Left + 1, r.Top + 1, r.Right - 2, r.Top + 1);

            e.Graphics.DrawLine(dark, r.Right - 1, r.Top, r.Right - 1, r.Bottom - 1);
            e.Graphics.DrawLine(dark, r.Left, r.Bottom - 1, r.Width, r.Bottom - 1);

//            base.OnPaint(e);
        }
    }
}
